Bug 759697 - Review Request: perl-Package-New - Simple base package from which to inherit
Review Request: perl-Package-New - Simple base package from which to inherit
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW 759698
  Show dependency treegraph
 
Reported: 2011-12-03 02:02 EST by mrdvt92
Modified: 2012-06-15 17:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-15 17:15:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
psabata: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description mrdvt92 2011-12-03 02:02:51 EST
Spec URL: http://linux.davisnetworks.com/yumrepo/fc/16/SPEC/perl-Package-New.spec
SRPM URL: http://linux.davisnetworks.com/yumrepo/fc/16/SRPMS/perl-Package-New-0.07-1.fc16.src.rpm
Description : The Package::New object provides a consistent object constructor for
            : objects.

Requirement for perl-DBIx-Array-Connect
Comment 1 mrdvt92 2011-12-03 02:05:06 EST
$ rpmlint ./perl-Package-New.spec ~/rpmbuild/SRPMS/perl-Package-New-0.07-1.fc16.src.rpm

rpmlint is clean
Comment 2 mrdvt92 2011-12-03 21:23:51 EST
updated to 0.07-2

CPAN never symlinked the tar ball so I had to update the spec to point to the non-symlinked URL.

SRPM: http://linux.davisnetworks.com/yumrepo/fc/16/SRPMS/perl-Package-New-0.07-2.fc16.src.rpm
SPEC: http://linux.davisnetworks.com/yumrepo/fc/16/SPEC/perl-Package-New.spec
Comment 3 Petr Šabata 2012-01-05 11:09:48 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[!]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/759697/Package-New-0.07.tar.gz :
  MD5SUM this package     : 00805fd07f1c330b71b2e3d120a6ad55
  MD5SUM upstream package : 00805fd07f1c330b71b2e3d120a6ad55

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[-]: SHOULD Spec use %global instead of %define.

Issues:
TODO: Add BuildRequires: perl(base)
TODO: Add BuildRequires: perl(Test::More)
TODO: Remove the BuildRoot tag, the %clean section, the buildroot removal in the %build section and %defattr from %files unless you want to use this package on EPEL5 as well.  Those are obsolete in Fedora.

Generated by fedora-review 0.1.1
External plugins:
Comment 4 Jason Tibbitts 2012-06-15 15:36:19 EDT
Is anything happening here?  I see several NEEDSPONSOR tickets submitted by the same person but there's no point in working on them if this ticket is stalled out.  Since it's been over five months now I'd guess the tickets should all just be closed out unless there's some response soon.
Comment 5 mrdvt92 2012-06-15 16:54:06 EDT
Unfortunately, I will not be able to support the RPMs for Fedora.  I add spec files to all of my tar balls on the CPAN.  I'll have to draw my support for the RPM community there.  
Sorry,
Mike
Comment 6 Jason Tibbitts 2012-06-15 17:15:40 EDT
that's kind of odd since almost all of our Perl packaging is autogenerated by cpanspec.  Perl libraries are about the easiest thing to package there is.  Plus the submitted package needed just a couple of minor changes to be acceptable; would have taken about 30 seconds.

Anyway, if someone does want this in Fedora, they can just run cpanspec and submit it themselves.

Note You need to log in before you can comment on or make changes to this bug.